<?php
class champArt extends plxPlugin {

		public function __construct($default_lang) {
			parent::__construct($default_lang);
			
			$this->setConfigProfil(PROFIL_ADMIN);

			$this->addHook('AdminArticleContent', 'AdminArticleContent');
			$this->addHook('AdminArticleTop', 'AdminArticleTop');
			
			$this->addHook('plxAdminEditArticleXml', 'plxAdminEditArticleXml');
			
			$this->addHook('plxMotorParseArticle', 'plxMotorParseArticle');
			$this->addHook('AdminTopEndHead', 'AdminTopEndHead');
			$this->addHook('champArt', 'champArt');
		}
		


		public function AdminTopEndHead() { // insre la feuille de style du plugin que dans la page d'dition de l'article
			echo "\t".'<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'champArt/style.css" media="screen" />'."\n";
		}
		
		
    
    public function AdminArticleTop() {
		$nbchamp = sizeof($this->aParams)/4;
		

		for($i=1; $i<=$nbchamp; $i++) {
			$string = "
					if(!empty(\$_POST)) {
								\$champArt_".$this->aParams['champ'.$i]['value']." = trim(\$_POST['champArt_".$this->aParams['champ'.$i]['value']."']);
						
            if(!empty(\$_POST['preview'])) {
								\$art['champArt_".$this->aParams['champ'.$i]['value']."'] = trim(\$_POST['champArt_".$this->aParams['champ'.$i]['value']."']);
    
            }
					} elseif(!empty(\$_GET['a'])) {
              
              \$plugincontent = trim(\$result['champArt_".$this->aParams['champ'.$i]['value']."']);
              ";
              
        // Lorsque le plugin CKEditor est ACTIF seulement, remplacement des chemins relatifs par des chemins absolus, pour l'affichage des images et documents dans cet diteur  
        $string .= "
          		if (\$plxAdmin->plxPlugins->checkRequirements('ckeditor')) {
                  # Prparation des variables
                  \$abs_path = parse_url(\$plxAdmin->racine.\$plxAdmin->aConf[\"images\"]);
              		\$abs_path_images = \$abs_path[\"path\"];
              		\$rel_path_images = \$plxAdmin->aConf[\"images\"];
              
              		\$abs_path = parse_url(\$plxAdmin->racine.\$plxAdmin->aConf[\"documents\"]);
              		\$abs_path_docs = \$abs_path[\"path\"];
              		\$rel_path_docs = \$plxAdmin->aConf[\"documents\"];
              
              		# Les liens relatifs sont convertis en liens absolus, pour que les images soient visibles dans CKEditor
              		\$plugincontent = str_replace(\$rel_path_images, \$abs_path_images, \$plugincontent);
              		\$plugincontent = str_replace(\$rel_path_docs, \$abs_path_docs, \$plugincontent);
          		}";
              
      $string .= "
              \$champArt_".$this->aParams['champ'.$i]['value']." = \$plugincontent;
					
          } else {
						\$champArt_".$this->aParams['champ'.$i]['value']."='';
					
          }
				";
			
      echo "<?php ".$string." ?>";
			}
    
		}

		
    
    public function AdminArticleContent() {

			$nbchamp = sizeof($this->aParams)/4; // compte le nombre de ligne
			$champgroupe = array(0); // cration du tableau des groupes
			for($i=1; $i<=$nbchamp; $i++) {
				array_push($champgroupe, $this->aParams['groupe'.$i]['value']); // injecte tous les groupes dans un tableau
			}

			$champgroupe = array_unique($champgroupe); // supprime les groupes en doublons
			$champgroupe = array_values($champgroupe); // remet les clefs dans un bon ordre

			$nbgroupe = sizeof($champgroupe); // compte le nombre de groupe unique


			echo "<div id=\"champart\">\n";

			for($j=1; $j<$nbgroupe; $j++) { // on boucle sur chaque groupe
				echo "<fieldset class=\"article\">\n";
					echo "<legend>".$champgroupe[$j]."</legend>";

					for($i=1; $i<=$nbchamp; $i++) { // on boucle sur chaque ligne
						if($this->aParams['groupe'.$i]['value']==$champgroupe[$j]){ // si la ligne appartient  ce groupe

							echo "<p><label for=\"id_champArt_".$this->aParams['champ'.$i]['value']."\">".$this->aParams['label'.$i]['value']." :</label> ( ".$this->aParams['champ'.$i]['value']." ) <a id=\"toggler_".$this->aParams['champ'.$i]['value']."\" href=\"javascript:void(0)\" onclick=\"toggleDiv('toggle_".$this->aParams['champ'.$i]['value']."', 'toggler_".$this->aParams['champ'.$i]['value']."', '".$this->getlang('L_AFFICHER')."','".$this->getlang('L_MASQUER')."')\">";
							echo '<?php if(empty($champArt_'.$this->aParams['champ'.$i]['value'].')){echo "'.$this->getlang('L_AFFICHER').'";}else{echo "'.$this->getlang('L_MASQUER').'";}?></a></p>'; // test si le champ possde une valeur. Si oui > affichage du champ, sinon il reste cach

							// affichage du champ sous la forme dfinie
							if($this->aParams['type'.$i]['value']=="ligne"){ // si le champ est de type input (ligne)
								echo '<div id="toggle_'.$this->aParams['champ'.$i]['value'].'" <?php if(empty($champArt_'.$this->aParams['champ'.$i]['value'].')){echo "style=\"display: none;\"";}?>>'; // test si le champ possde une valeur. Si oui > affichage du champ, sinon il reste cach
								echo '<?php plxUtils::printInput("champArt_'.$this->aParams['champ'.$i]['value'].'",plxUtils::strCheck($champArt_'.$this->aParams['champ'.$i]['value'].'),"text","66-255"); ?>';
								echo '</div>';
							} else { // sinon c'est un textarea (bloc)
								echo '<div id="toggle_'.$this->aParams['champ'.$i]['value'].'" <?php if(empty($champArt_'.$this->aParams['champ'.$i]['value'].')){echo "style=\"display: none;\"";}?>>'; // test si le champ possde une valeur. Si oui > affichage du champ, sinon il reste cach
								echo '<?php plxUtils::printArea("champArt_'.$this->aParams['champ'.$i]['value'].'",plxUtils::strCheck($champArt_'.$this->aParams['champ'.$i]['value'].'),"20","5"); ?>';
								echo '</div>';
							}
						}
					}

				echo "</fieldset>\n";
			}
			echo "<ul>";
			echo "<li><a href=\"parametres_plugin.php?p=champArt\" title=\"".$this->getlang('L_TITLE_LIEN_CONFIG')."\">".$this->getlang('L_TITLE_LIEN_CONFIG')."</a></li>";
			echo "<li><a href=\"parametres_pluginhelp.php?p=champArt\" title=\"".$this->getlang('L_TITLE_LIEN_AIDE')."\">".$this->getlang('L_TITLE_LIEN_AIDE')."</a></li>";
			echo "<li>( ".$this->getlang('L_TITLE_LIEN_OUPS')." )</li>";
			echo "</ul>";
			echo "</div>";
		}


		
    
    public function plxAdminEditArticleXml() {
		$nbchamp = sizeof($this->aParams)/4;

			for($i=1; $i<=$nbchamp; $i++) {
        $string = "
              # str_champArt = contenu XML du champ champArt d'indice i
              \$str_champArt = '<champArt_".$this->aParams['champ'.$i]['value'].">"
                                ."<![CDATA['.plxUtils::cdataCheck(trim(\$content['champArt_".$this->aParams['champ'.$i]['value']."'])).']]>"
                                ."</champArt_".$this->aParams['champ'.$i]['value'].">';
                  ";
              
        // Lorsque le plugin CKEditor est ACTIF seulement, remplacement des chemins absolus par des chemins relatifs, pour l'enregistrement des images et des documents dans le fichier XML  
        $string .= "
  		        if (\$this->plxPlugins->checkRequirements('ckeditor')) {
              
                  # Prparation des variables contenant les chemins absolus et relatifs vers les images et les documents
              		\$abs_path = parse_url(\$this->racine.\$this->aConf['images']);
              		\$abs_path_images = \$abs_path['path'];
              		\$rel_path_images = \$this->aConf['images'];
              
              		\$abs_path = parse_url(\$this->racine.\$this->aConf['documents']);
              		\$abs_path_docs = \$abs_path['path'];
              		\$rel_path_docs = \$this->aConf['documents'];
              		
              		# Dans le contenu str_champArt, remplacement des chemins absolus par des chemins relatifs, pour les images et les documents
      
              		# Les liens absolus commenant par http://www.domaine.com/ sont convertis en liens relatifs
              		\$str_champArt = str_replace(\$abs_path_images_http_domain, \$rel_path_images, \$str_champArt);
              		\$str_champArt = str_replace(\$abs_path_docs_http_domain, \$rel_path_docs, \$str_champArt);
              
              		# Les liens absolus commenant simplement par la barre de la racine / sont convertis en liens relatifs
              		\$str_champArt = str_replace(\$abs_path_images, \$rel_path_images, \$str_champArt);
              		\$str_champArt = str_replace(\$abs_path_docs, \$rel_path_docs, \$str_champArt);
          		}
                  ";

        $string .= "
              # Insertion du contenu XML  crire pour le champ champArt d'indice i
              \$xml .= \"\t\".\$str_champArt.\"\n\"; 
                  ";
       			
	      echo "<?php ".$string." ?>"; // Ajout du champ champArt d'indice i dans la variable $xml qui servira  crire le fichier XML
      } // Fin de la boucle for
   }



		
    public function plxMotorParseArticle() {
		$nbchamp = sizeof($this->aParams)/4;

					for($i=1; $i<=$nbchamp; $i++) {
						echo "<?php if(isset(\$iTags['champArt_".$this->aParams['champ'.$i]['value']."'][0])){ \$art['champArt_".$this->aParams['champ'.$i]['value']."'] = trim(\$values[ \$iTags['champArt_".$this->aParams['champ'.$i]['value']."'][0] ]['value']);} ?>";
					}
		}


		
    
    public function champArt($param) {
			$plxMotor_inst = plxMotor::getInstance(); // permet de rcuprer les champs de l'article
			$champ = array();
			$nbchamp = sizeof($this->aParams)/4;
  		# Pour la protection des emails
  		# => les deux valeurs ci-dessus sont utilises plus loin dans preg_replace($pattern, $replace, ....); pour la protection des mails
  		#    IMPORTANT : Remplacement de l'arobase par un code Javascript dans les adresses mails, mais pas dans celles qui sont dans un href="mailto:...@..."
  		#                car $pattern contient (?<!mailto:) signifiant "qui n'est pas prcd par mailto:" et \b est la limite de mot       		
      $pattern = "/(?<!mailto:)\b([\._a-zA-Z0-9-]+)@([\._a-zA-Z0-9-]+)/i";
  		$replace = "$1<script type=\"text/javascript\">document.write(\"&#64;\");</script>$2";
			
      for($i=1; $i<=$nbchamp; $i++) {
				array_push($champ, plxUtils::strCheck($this->aParams['champ'.$i]['value']));
			}

			if (in_array($param, $champ) AND $plxMotor_inst->plxRecord_arts->f('champArt_'.$param)) { // si le paramtre fait partie du tableau des valeurs  afficher
				$string = $plxMotor_inst->plxRecord_arts->f('champArt_'.$param); // contenu du champ  afficher
        
        # Codage des mails dans l'article, sauf ceux qui sont dans href="mailto:...", sinon affichage incorrect (le mailto:... est dj cod par CKEditor si on l'a utilis)
        $string = preg_replace($pattern, $replace, $string);
        
        echo $string; // affichage du contenu du champ champArt d'indice i
      }
      elseif (in_array(substr($param, 0, -2), $champ) AND substr($param, -2)=="_R" AND $plxMotor_inst->plxRecord_arts->f('champArt_'.substr($param, 0, -2))) 
      { # si le paramtre fait partie du tableau des valeurs  retourner
				# (avec preg_replace pour coder les adresses mail)
        $return = preg_replace($pattern, $replace, $plxMotor_inst->plxRecord_arts->f('champArt_'.substr($param, 0, -2)));
				return $return;
			} 
      elseif (in_array(substr($param, 0, -2), $champ) AND substr($param, -2)=="_L" AND $plxMotor_inst->plxRecord_arts->f('champArt_'.substr($param, 0, -2))) 
      { # si le paramtre fait partie du tableau des valeurs  retourner
				$nbchamp = sizeof($this->aParams)/4;
				for($i=1; $i<=$nbchamp; $i++) {
					if ($this->aParams['champ'.$i]['value']==substr($param, 0, -2)){
						echo "<span>".$this->aParams['label'.$i]['value'].":</span>";
				    # (avec preg_replace pour coder les adresses mail)
						echo preg_replace($pattern, $replace, $plxMotor_inst->plxRecord_arts->f('champArt_'.substr($param, 0, -2)));
					}
				}
			}
		return false;
		}
	
	
	
	
	}

?>
